<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ipc__sema__macros" kind="group">
    <compoundname>group_ipc_sema_macros</compoundname>
    <title>Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__ipc__sema__macros_1gabb552d757bc754e4dc2df70e4edd19e7" kind="define" prot="public" static="no">
        <name>CY_IPC_SEMA_RTN</name>
        <initializer>(0x0100ul)</initializer>
        <briefdescription>
<para>Software PDL driver ID for IPC semaphore functions. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_sema.h" bodystart="62" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_sema.h" line="62" />
      </memberdef>
      <memberdef id="group__group__ipc__sema__macros_1ga467d8957ef174d3eff3518577574c803" kind="define" prot="public" static="no">
        <name>CY_IPC_SEMA_ID_INFO</name>
        <initializer>(uint32_t)( <ref kindref="member" refid="group__group__ipc__macros_1gaca94e95050e9f6ad972c8d9fe3de70d0">CY_IPC_ID_INFO</ref>    | <ref kindref="member" refid="group__group__ipc__sema__macros_1gabb552d757bc754e4dc2df70e4edd19e7">CY_IPC_SEMA_RTN</ref>)</initializer>
        <briefdescription>
<para>Return prefix for IPC semaphore function status codes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_sema.h" bodystart="64" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_sema.h" line="64" />
      </memberdef>
      <memberdef id="group__group__ipc__sema__macros_1ga6ee9be4dbf39928c3825da5237dc64ab" kind="define" prot="public" static="no">
        <name>CY_IPC_SEMA_ID_WARNING</name>
        <initializer>(uint32_t)( <ref kindref="member" refid="group__group__ipc__macros_1ga3dd639f2edc5ca00b5547a32d3ad57de">CY_IPC_ID_WARNING</ref> | <ref kindref="member" refid="group__group__ipc__sema__macros_1gabb552d757bc754e4dc2df70e4edd19e7">CY_IPC_SEMA_RTN</ref>)</initializer>
        <briefdescription>
<para>Return prefix for IPC semaphore function warning return values. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_sema.h" bodystart="66" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_sema.h" line="66" />
      </memberdef>
      <memberdef id="group__group__ipc__sema__macros_1ga34b8788d4fe51774b2076058b37379af" kind="define" prot="public" static="no">
        <name>CY_IPC_SEMA_ID_ERROR</name>
        <initializer>(uint32_t)( <ref kindref="member" refid="group__group__ipc__macros_1ga3f7a70ed9127495bf0fa4ba8135c49ba">CY_IPC_ID_ERROR</ref>   | <ref kindref="member" refid="group__group__ipc__sema__macros_1gabb552d757bc754e4dc2df70e4edd19e7">CY_IPC_SEMA_RTN</ref>)</initializer>
        <briefdescription>
<para>Return prefix for IPC semaphore function error return values. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_sema.h" bodystart="68" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_sema.h" line="68" />
      </memberdef>
      <memberdef id="group__group__ipc__sema__macros_1ga7c011c5126248439921e442aab3c6b23" kind="define" prot="public" static="no">
        <name>CY_IPC_SEMA_PER_WORD</name>
        <initializer>(uint32_t)32u</initializer>
        <briefdescription>
<para>32 semaphores per word </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_sema.h" bodystart="70" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_sema.h" line="70" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Macro definitions are used in the driver. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>